# Ds\Set::merge

(PECL ds >= 1.0.3)

Ds\Set::merge — Returns the result of adding all given values to the set

### Descripción

public Ds\Set::merge(mixed `$values`): Ds\Set

Returns the result of adding all given values to the set.

### Parámetros

`values`

  A traversable object or an array.

### Valores devueltos

The result of adding all given values to the set, effectively the same as adding the values to a copy, then returning that copy.

> Nota:

> The current instance won't be affected.

### Ejemplos

Ejemplo #1 Ds\Set::merge() example

`<?php
$set = new \Ds\Set([1, 2, 3]);
var_dump($set->merge([3, 4, 5]));
var_dump($set);
?>`

El resultado del ejemplo sería algo similar a:

    object(Ds\Set)#2 (6) {
      [0]=>
      int(1)
      [1]=>
      int(2)
      [2]=>
      int(3)
      [3]=>
      int(4)
      [4]=>
      int(5)
    }
    object(Ds\Set)#1 (3) {
      [0]=>
      int(1)
      [1]=>
      int(2)
      [2]=>
      int(3)
    }